petsc-3.7.7 2017-09-25
Report Typos and Errors

# PetscViewerGetType

Returns the type of a PetscViewer.

### Synopsis

    #include "petscviewer.h"
    PetscErrorCode  PetscViewerGetType(PetscViewer viewer,PetscViewerType *type)

Not Collective

### Input Parameter

viewer -the PetscViewer

### Output Parameter

type -PetscViewer type (see below)

### Available Types Include

PETSCVIEWERSOCKET -Socket PetscViewer
PETSCVIEWERASCII -ASCII PetscViewer
PETSCVIEWERBINARY -binary file PetscViewer
PETSCVIEWERSTRING -string PetscViewer
PETSCVIEWERDRAW -drawing PetscViewer

### Note

See include/petscviewer.h for a complete list of PetscViewers.

PetscViewerType is actually a string

### See Also

PetscViewerCreate(), PetscViewerSetType(), PetscViewerType

Level:intermediate
Location:src/sys/classes/viewer/interface/view.c
Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages